<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
    <xs:element name="CDAElementsDistinguisher">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="elementDiscriber" type="ElementDiscriber" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:complexType name="ElementDiscriber">
        <xs:sequence>
            <xs:element maxOccurs="unbounded" name="distinguisher" type="Distinguisher"/>
        </xs:sequence>
        <xs:attribute name="name" type="xs:string"/>
        <xs:attribute name="type" type="CDAType"/>
        <xs:attribute name="identifier" type="xs:string"/>
        <xs:attribute name="needDistinguisher" type="xs:boolean"/>
    </xs:complexType>
    <xs:complexType name="Distinguisher">
        <xs:attribute name="xpath" type="xs:string"/>
        <xs:attribute name="ref" type="xs:string"/>
    </xs:complexType>
    
    <xs:simpleType name="CDAType">
        <xs:restriction base="xs:string">
            <xs:enumeration value="POCDMT000040InfrastructureRootTypeId"/>
            <xs:enumeration value="POCDMT000040RecordTarget"/>
            <xs:enumeration value="POCDMT000040PatientRole"/>
            <xs:enumeration value="POCDMT000040Patient"/>
            <xs:enumeration value="POCDMT000040Guardian"/>
            <xs:enumeration value="POCDMT000040Person"/>
            <xs:enumeration value="POCDMT000040Organization"/>
            <xs:enumeration value="POCDMT000040OrganizationPartOf"/>
            <xs:enumeration value="POCDMT000040Birthplace"/>
            <xs:enumeration value="POCDMT000040Place"/>
            <xs:enumeration value="POCDMT000040LanguageCommunication"/>
            <xs:enumeration value="POCDMT000040Author"/>
            <xs:enumeration value="POCDMT000040AssignedAuthor"/>
            <xs:enumeration value="POCDMT000040AuthoringDevice"/>
            <xs:enumeration value="POCDMT000040MaintainedEntity"/>
            <xs:enumeration value="POCDMT000040DataEnterer"/>
            <xs:enumeration value="POCDMT000040AssignedEntity"/>
            <xs:enumeration value="POCDMT000040Informant12"/>
            <xs:enumeration value="POCDMT000040RelatedEntity"/>
            <xs:enumeration value="POCDMT000040Custodian"/>
            <xs:enumeration value="POCDMT000040AssignedCustodian"/>
            <xs:enumeration value="POCDMT000040CustodianOrganization"/>
            <xs:enumeration value="POCDMT000040InformationRecipient"/>
            <xs:enumeration value="POCDMT000040IntendedRecipient"/>
            <xs:enumeration value="POCDMT000040LegalAuthenticator"/>
            <xs:enumeration value="POCDMT000040Authenticator"/>
            <xs:enumeration value="POCDMT000040Participant1"/>
            <xs:enumeration value="POCDMT000040AssociatedEntity"/>
            <xs:enumeration value="POCDMT000040InFulfillmentOf"/>
            <xs:enumeration value="POCDMT000040Order"/>
            <xs:enumeration value="POCDMT000040DocumentationOf"/>
            <xs:enumeration value="POCDMT000040ServiceEvent"/>
            <xs:enumeration value="POCDMT000040Performer1"/>
            <xs:enumeration value="POCDMT000040RelatedDocument"/>
            <xs:enumeration value="POCDMT000040ParentDocument"/>
            <xs:enumeration value="POCDMT000040ClinicalDocument"/>
            <xs:enumeration value="POCDMT000040Authorization"/>
            <xs:enumeration value="POCDMT000040Consent"/>
            <xs:enumeration value="POCDMT000040Component1"/>
            <xs:enumeration value="POCDMT000040EncompassingEncounter"/>
            <xs:enumeration value="POCDMT000040ResponsibleParty"/>
            <xs:enumeration value="POCDMT000040EncounterParticipant"/>
            <xs:enumeration value="POCDMT000040Location"/>
            <xs:enumeration value="POCDMT000040HealthCareFacility"/>
            <xs:enumeration value="POCDMT000040Component2"/>
            <xs:enumeration value="POCDMT000040NonXMLBody"/>
            <xs:enumeration value="POCDMT000040StructuredBody"/>
            <xs:enumeration value="POCDMT000040Component3"/>
            <xs:enumeration value="POCDMT000040Section"/>
            <xs:enumeration value="POCDMT000040Subject"/>
            <xs:enumeration value="POCDMT000040RelatedSubject"/>
            <xs:enumeration value="POCDMT000040SubjectPerson"/>
            <xs:enumeration value="POCDMT000040Entry"/>
            <xs:enumeration value="POCDMT000040Act"/>
            <xs:enumeration value="POCDMT000040Specimen"/>
            <xs:enumeration value="POCDMT000040SpecimenRole"/>
            <xs:enumeration value="POCDMT000040PlayingEntity"/>
            <xs:enumeration value="POCDMT000040Performer2"/>
            <xs:enumeration value="POCDMT000040Participant2"/>
            <xs:enumeration value="POCDMT000040ParticipantRole"/>
            <xs:enumeration value="POCDMT000040Device"/>
            <xs:enumeration value="POCDMT000040Entity"/>
            <xs:enumeration value="POCDMT000040EntryRelationship"/>
            <xs:enumeration value="POCDMT000040Encounter"/>
            <xs:enumeration value="POCDMT000040Reference"/>
            <xs:enumeration value="POCDMT000040ExternalAct"/>
            <xs:enumeration value="POCDMT000040ExternalObservation"/>
            <xs:enumeration value="POCDMT000040ExternalProcedure"/>
            <xs:enumeration value="POCDMT000040ExternalDocument"/>
            <xs:enumeration value="POCDMT000040Precondition"/>
            <xs:enumeration value="POCDMT000040Criterion"/>
            <xs:enumeration value="POCDMT000040Observation"/>
            <xs:enumeration value="POCDMT000040ReferenceRange"/>
            <xs:enumeration value="POCDMT000040ObservationRange"/>
            <xs:enumeration value="POCDMT000040ObservationMedia"/>
            <xs:enumeration value="POCDMT000040Organizer"/>
            <xs:enumeration value="POCDMT000040Component4"/>
            <xs:enumeration value="POCDMT000040Procedure"/>
            <xs:enumeration value="POCDMT000040RegionOfInterest"/>
            <xs:enumeration value="POCDMT000040RegionOfInterestValue"/>
            <xs:enumeration value="POCDMT000040SubstanceAdministration"/>
            <xs:enumeration value="POCDMT000040Consumable"/>
            <xs:enumeration value="POCDMT000040ManufacturedProduct"/>
            <xs:enumeration value="POCDMT000040LabeledDrug"/>
            <xs:enumeration value="POCDMT000040Material"/>
            <xs:enumeration value="POCDMT000040Supply"/>
            <xs:enumeration value="POCDMT000040Product"/>
            <xs:enumeration value="POCDMT000040Component5"/>
            
            
           <xs:enumeration value="AD"/>
           <xs:enumeration value="ANY"/>
           <xs:enumeration value="AdxpDelimiter"/>
           <xs:enumeration value="ADXP"/>
           <xs:enumeration value="ST"/>
           <xs:enumeration value="ED"/>
           <xs:enumeration value="BIN"/>
           <xs:enumeration value="TEL"/>
           <xs:enumeration value="URL"/>
           <xs:enumeration value="SXCMTS"/>
           <xs:enumeration value="TS"/>
           <xs:enumeration value="QTY"/>
           <xs:enumeration value="Thumbnail"/>
           <xs:enumeration value="AdxpCountry"/>
           <xs:enumeration value="AdxpState"/>
           <xs:enumeration value="AdxpCounty"/>
           <xs:enumeration value="AdxpCity"/>
           <xs:enumeration value="AdxpPostalCode"/>
           <xs:enumeration value="AdxpStreetAddressLine"/>
           <xs:enumeration value="AdxpHouseNumber"/>
           <xs:enumeration value="AdxpHouseNumberNumeric"/>
           <xs:enumeration value="AdxpDirection"/>
           <xs:enumeration value="AdxpStreetName"/>
           <xs:enumeration value="AdxpStreetNameBase"/>
           <xs:enumeration value="AdxpStreetNameType"/>
           <xs:enumeration value="AdxpAdditionalLocator"/>
           <xs:enumeration value="AdxpUnitID"/>
           <xs:enumeration value="AdxpUnitType"/>
           <xs:enumeration value="AdxpCareOf"/>
           <xs:enumeration value="AdxpCensusTract"/>
           <xs:enumeration value="AdxpDeliveryAddressLine"/>
           <xs:enumeration value="AdxpDeliveryInstallationType"/>
           <xs:enumeration value="AdxpDeliveryInstallationArea"/>
           <xs:enumeration value="AdxpDeliveryInstallationQualifier"/>
           <xs:enumeration value="AdxpDeliveryMode"/>
           <xs:enumeration value="AdxpDeliveryModeIdentifier"/>
           <xs:enumeration value="AdxpBuildingNumberSuffix"/>
           <xs:enumeration value="AdxpPostBox"/>
           <xs:enumeration value="AdxpPrecinct"/>
           <xs:enumeration value="ANYNonNull"/>
           <xs:enumeration value="BL"/>
           <xs:enumeration value="BN"/>
           <xs:enumeration value="BXITCD"/>
           <xs:enumeration value="CD"/>
           <xs:enumeration value="CR"/>
           <xs:enumeration value="CV"/>
           <xs:enumeration value="CE"/>
           <xs:enumeration value="BXITIVLPQ"/>
           <xs:enumeration value="IVLPQ"/>
           <xs:enumeration value="SXCMPQ"/>
           <xs:enumeration value="PQ"/>
           <xs:enumeration value="PQR"/>
           <xs:enumeration value="IVXBPQ"/>
           <xs:enumeration value="CO"/>
           <xs:enumeration value="CS"/>
           <xs:enumeration value="EIVLEvent"/>
           <xs:enumeration value="EIVLPPDTS"/>
           <xs:enumeration value="SXCMPPDTS"/>
           <xs:enumeration value="PPDTS"/>
           <xs:enumeration value="IVLPPDPQ"/>
           <xs:enumeration value="SXCMPPDPQ"/>
           <xs:enumeration value="PPDPQ"/>
           <xs:enumeration value="IVXBPPDPQ"/>
           <xs:enumeration value="EIVLTS"/>
           <xs:enumeration value="EN"/>
           <xs:enumeration value="EnDelimiter"/>
           <xs:enumeration value="ENXP"/>
           <xs:enumeration value="EnFamily"/>
           <xs:enumeration value="EnGiven"/>
           <xs:enumeration value="EnPrefix"/>
           <xs:enumeration value="EnSuffix"/>
           <xs:enumeration value="IVLTS"/>
           <xs:enumeration value="IVXBTS"/>
           <xs:enumeration value="GLISTPQ"/>
           <xs:enumeration value="GLISTTS"/>
           <xs:enumeration value="HXITCE"/>
           <xs:enumeration value="HXITPQ"/>
           <xs:enumeration value="II"/>
           <xs:enumeration value="INT"/>
           <xs:enumeration value="IVLINT"/>
           <xs:enumeration value="SXCMINT"/>
           <xs:enumeration value="IVXBINT"/>
           <xs:enumeration value="IVLMO"/>
           <xs:enumeration value="SXCMMO"/>
           <xs:enumeration value="MO"/>
           <xs:enumeration value="IVXBMO"/>
           <xs:enumeration value="IVLPPDTS"/>
           <xs:enumeration value="IVXBPPDTS"/>
           <xs:enumeration value="IVLREAL"/>
           <xs:enumeration value="SXCMREAL"/>
           <xs:enumeration value="REAL"/>
           <xs:enumeration value="IVXBREAL"/>
           <xs:enumeration value="ON"/>
           <xs:enumeration value="PIVLPPDTS"/>
           <xs:enumeration value="PIVLTS"/>
           <xs:enumeration value="PN"/>
           <xs:enumeration value="RTO"/>
           <xs:enumeration value="RTOQTYQTY"/>
           <xs:enumeration value="RTOMOPQ"/>
           <xs:enumeration value="RTOPQPQ"/>
           <xs:enumeration value="SC"/>
           <xs:enumeration value="SLISTPQ"/>
           <xs:enumeration value="SLISTTS"/>
           <xs:enumeration value="SXCMCD"/>
           <xs:enumeration value="SXPRTS"/>
           <xs:enumeration value="TN"/>
           <xs:enumeration value="UVPTS"/>
        </xs:restriction>
    </xs:simpleType>
</xs:schema>
